diff options
author | Tobias Klauser <tklauser@distanz.ch> | 2013-06-28 14:28:06 +0200 |
---|---|---|
committer | Tobias Klauser <tklauser@distanz.ch> | 2013-06-28 14:31:42 +0200 |
commit | 7199a4fe1d6f66722158d73d4403f8dad8637bd1 (patch) | |
tree | 54a1e738ccf0fb2664719aeb3a8f86da1cfd922a /configure | |
parent | 1c0833268c7179494aecabc5f0fae643715a7a98 (diff) |
configure: Check for presence of pkg-config and ccache binaries
Check whether pkg-config and ccache are in the PATH. A missing
pkg-config will cause the configure script to abort with an error. The
presence of ccache is written to Config and used by the Makefile to
conditionally make use of it.
Signed-off-by: Tobias Klauser <tklauser@distanz.ch>
Diffstat (limited to 'configure')
-rwxr-xr-x | configure | 34 |
1 files changed, 34 insertions, 0 deletions
@@ -1,6 +1,7 @@ #!/bin/bash # This isn't a configure generated by autoconf! +MISSING_PKG_CONFIG=0 MISSING_DEFS=0 MISSING_NACL=0 @@ -9,6 +10,31 @@ MISSING_NACL=0 TMPDIR=$(mktemp -d config.XXXXXX) trap 'status=$?; rm -rf $TMPDIR; exit $status' EXIT HUP INT QUIT TERM +check_pkg_config() +{ + echo -n "[*] Checking pkg-config ... " + + if [ "x$(which pkg-config)" == "x" ] ; then + echo "[NO]" + MISSING_PKG_CONFIG=1 + else + echo "[YES]" + fi +} + +check_ccache() +{ + echo -n "[*] Checking ccache ... " + + if [ "x$(which ccache)" == "x" ] ; then + echo "[NO]" + echo "CONFIG_CCACHE=" >> Config + else + echo "[YES]" + echo "CONFIG_CCACHE=ccache" >> Config + fi +} + check_nacl() { echo -n "[*] Checking nacl ... " @@ -172,6 +198,14 @@ EOF } echo "# This file is autogenerated by the configure script" > Config +check_pkg_config + +if [ "$MISSING_PKG_CONFIG" == "1" ] ; then + echo "[!] pkg-config is not installed on your system or not in the PATH" + exit 1 +fi + +check_ccache check_nacl check_libnl check_tpacket |